| Home | Libraries | People | FAQ | More

##### date::valid

Returns `true` if `*this` represents a valid `time_point`.

###### Synopsis

    constexpr bool
    valid() const;

###### Description

If any of the individual components is out of range, the date doesn't represent an actual `time_point` (e.g. `date(2020, 2, 30)`) or the date is not in the [`min_date`, `max_date`] validity range, returns `false`. Otherwise, returns `true`.

###### Exception safety

No-throw guarantee.